/*
 * Copyright 2013 Olivier Godineau
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package olg.csv.bean.annotations;

/**
 * Provides @Param names for date formatter/parser property setted on.
 * 
 * @Formater/ @Parser.
 * 
 * @author Olivier Godineau
 * 
 */
public final class DateProperty {

	/**
	 * Provides static methods only.
	 */
	private DateProperty() {

	}
	/**
	 * Name of a property for the Default Date Parser/Formatter. This property
	 * allows to define a date pattern on parsing or formatting. date.
	 */
	public static final String FORMAT = "format";
	/**
	 * Name of a property for the Default date Parser/Formatter. This property
	 * allows to specify a locale on parsing or formatting date.
	 */
	public static final String LOCALE = "locale";

}
