/*
 * Copyright 2013 Olivier Godineau
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package olg.csv.bean.annotations;

/**
 * Provides @Param names for CSVReading / CSVWriting setted on @RowBean.
 * 
 * @author Olivier Godineau
 * @see olg.csv.base.csv.CSVSettings
 */
public final class CSVProperty {
	/**
	 * Provides static methods only.
	 */
	private CSVProperty() {

	}
	/**
	 * Name of a property for CSV reader. This property allows to define the
	 * withHeaders param. Default is
	 * {@link olg.csv.base.csv.CSVSettings#DEFAULT_WITHHEADERS}
	 */
	public static final String HEADERS = "headers";

	/**
	 * 
	 * Default is {@link olg.csv.base.csv.CSVSettings#DEFAULT_SEPARATOR}.
	 */
	public static final String SEPARATOR = "separator";

	/**
	 * 
	 * Default is {@link olg.csv.base.csv.CSVSettings#DEFAULT_DELIMITER}.
	 */
	public static final String DELIMITER = "delimiter";

	/**
	 * 
	 * Default is {@link olg.csv.base.csv.CSVSettings#DEFAULT_CHARSETNAME}.
	 */
	public static final String CHARSETNAME = "charset";

	/**
	 * Default is {@link olg.csv.base.csv.CSVSettings#DEFAULT_LINESEPARATOR}.
	 */
	public static final String LINE_SEPARATOR = "lineSeparator";

}
