/*
 * Copyright 2013 Olivier Godineau
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package olg.csv.bean.annotation.test.model;

import olg.csv.bean.annotations.Embedded;
import olg.csv.bean.annotations.RowBean;

/**
 * Test bean for EmbeddedProcessor Test.
 * 
 * 
 */
@RowBean
public class TestEmbeddedProcessorBean {
	@Embedded("B")
	private TestEmbeddedProcessorEmbeddedBean embeddedBean;
	@Embedded(value = "B", concreteClass = TestEmbeddedProcessorEmbeddedBean.class)
	private TestEmbeddedProcessorEmbeddedInterface embeddedConcreteBean;

	// field annotated with incorrect cell num.
	@Embedded("Cell2")
	private TestEmbeddedProcessorEmbeddedBean embeddedBeanNoNum;
	// field with no getter, no setter.
	@Embedded("B")
	private TestEmbeddedProcessorEmbeddedBean embeddedBeanNoAccess;
	// field annotated with a not concrete class as concretClass attribute.
	@Embedded(value = "B", concreteClass = TestAbstractEmbeddedProcessorEmbeddedBean.class)
	private TestEmbeddedProcessorEmbeddedBean embeddedBeanNoConcretClass;
	// field annotated with a concrete class which is not one of its subclass.
	@Embedded(value = "B", concreteClass = TestEmbeddedProcessorConcretClass.class)
	private TestEmbeddedProcessorEmbeddedBean embeddedBeanTypeConcretClass;

	public TestEmbeddedProcessorEmbeddedBean getEmbeddedBeanNoNum() {
		return embeddedBeanNoNum;
	}

	public void setEmbeddedBeanNoNum(TestEmbeddedProcessorEmbeddedBean embeddedBeanNoNum) {
		this.embeddedBeanNoNum = embeddedBeanNoNum;
	}

	public TestEmbeddedProcessorEmbeddedBean getEmbeddedBeanNoConcretClass() {
		return embeddedBeanNoConcretClass;
	}

	public void setEmbeddedBeanNoConcretClass(TestEmbeddedProcessorEmbeddedBean embeddedBeanNoConcretClass) {
		this.embeddedBeanNoConcretClass = embeddedBeanNoConcretClass;
	}

	public TestEmbeddedProcessorEmbeddedBean getEmbeddedBeanTypeConcretClass() {
		return embeddedBeanTypeConcretClass;
	}

	public void setEmbeddedBeanTypeConcretClass(TestEmbeddedProcessorEmbeddedBean embeddedBeanTypeConcretClass) {
		this.embeddedBeanTypeConcretClass = embeddedBeanTypeConcretClass;
	}

	public TestEmbeddedProcessorEmbeddedBean getEmbeddedBean() {
		return embeddedBean;
	}

	public void setEmbeddedBean(TestEmbeddedProcessorEmbeddedBean embeddedBean) {
		this.embeddedBean = embeddedBean;
	}

	public TestEmbeddedProcessorEmbeddedInterface getEmbeddedConcreteBean() {
		return embeddedConcreteBean;
	}

	public void setEmbeddedConcreteBean(TestEmbeddedProcessorEmbeddedInterface embeddedConcreteBean) {
		this.embeddedConcreteBean = embeddedConcreteBean;
	}

}
