/*
 * Copyright 2013 Olivier Godineau
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package olg.csv.bean.annotation.test.model;
import olg.csv.bean.annotations.CSVProperty;
import olg.csv.bean.annotations.ODSProperty;
import olg.csv.bean.annotations.Param;
import olg.csv.bean.annotations.RowBean;

@RowBean(CSVReadingParams = {

@Param(name = CSVProperty.HEADERS, value = "true"),
// unexpected param
		@Param(name = CSVProperty.LINE_SEPARATOR, value = "x"),

		@Param(name = CSVProperty.SEPARATOR, value = ";"),

		@Param(name = CSVProperty.DELIMITER, value = "\'"),

		@Param(name = CSVProperty.CHARSETNAME, value = "ISO-8859-1")

}, CSVWritingParams = {

// unexpected param
		@Param(name = CSVProperty.HEADERS, value = "true"),

		@Param(name = CSVProperty.LINE_SEPARATOR, value = "\r\n"),

		@Param(name = CSVProperty.SEPARATOR, value = ";"),

		@Param(name = CSVProperty.DELIMITER, value = "\'"),

		@Param(name = CSVProperty.CHARSETNAME, value = "ISO-8859-1")},

ODSWritingParams = {
// unexpected param
		@Param(name = ODSProperty.HEADERS, value = "false"),
		// unexpected param
		@Param(name = ODSProperty.SHEETNUM, value = "10"),

		@Param(name = ODSProperty.SHEETNAME, value = "Characters"),

		@Param(name = ODSProperty.BEGIN_AT_ROW, value = "5"),
		// unexpected param
		@Param(name = ODSProperty.END_AT_ROW, value = "500"),

		@Param(name = ODSProperty.BEGIN_AT_COLUMN, value = "C"),
		// unexêcted param
		@Param(name = ODSProperty.END_AT_COLUMN, value = "E")

}, ODSReadingParams = {

@Param(name = ODSProperty.HEADERS, value = "false"),

@Param(name = ODSProperty.SHEETNUM, value = "10"),

@Param(name = ODSProperty.SHEETNAME, value = "Characters"),

@Param(name = ODSProperty.BEGIN_AT_ROW, value = "5"),

@Param(name = ODSProperty.END_AT_ROW, value = "500"),

@Param(name = ODSProperty.BEGIN_AT_COLUMN, value = "C"),

@Param(name = ODSProperty.END_AT_COLUMN, value = "E")

})
public class TestRowBeanProcessorParentSettingsBean {

}
