/*
 * Copyright 2012 Olivier Godineau
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package olg.csv.bean.getter.impl;

import olg.csv.base.Row;
import olg.csv.bean.getter.AbstractGetter;

/**
 * This getter always returns the given value regardless of the row.
 * 
 * 
 */
public final class ConstantGetter extends AbstractGetter {

	@Override
	protected String doGet(Row line) {
		return this.getDefaultValue();
	}

	/**
	 * Constructor with constant value in argument.
	 * 
	 * @param defaultValue
	 *            the constant value to apply
	 */
	public ConstantGetter(String defaultValue) {
		super();
		this.setDefaultValue(defaultValue);

	}

}