/*
 * Copyright 2012 Olivier Godineau
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package olg.csv.bean.loader;

import java.util.Date;

/**
 * Sample bean class for test.
 * 
 * @author Olivier Godineau
 * 
 */
public class TestBean {

	protected interface TestInterface {
		void doSomething();
	}

	protected static class TestBeanInterface implements TestInterface {

		private String field;
		public void doSomething() {
			;
		}
		public String getField() {
			return field;
		}
		public void setField(String field) {
			this.field = field;
		}
		public TestBeanInterface() {

			super();
		}
	}

	protected static class TestBeanInterface2 implements TestInterface {

		private String field;
		public void doSomething() {
			if (field != null) {
				;
			}
		}
		public TestBeanInterface2(String field) {
			super();
			this.field = field;
		}
		public TestBeanInterface2() {
			super();
		}

	}
	protected static enum TestEnum {
		enum1, enum2, enum3;
	}
	private int anInt;
	private float aFloat;
	private short aShort; // NOPMD by olivier on 10/01/12 01:14
	private double aDouble;
	private byte aByte;
	private long aLong;
	private boolean bool;
	private char aChar;

	private Integer iInteger;
	private Float fFloat;
	private Short sShort;
	private Double dDouble;
	private Byte bByte;
	private Long lLong;
	private Boolean bBoolean;
	private Character cCharacter;

	private String sString;

	private TestEnum type;

	private Date date;

	private Date timestamp;

	private Date time;

	private TestInterface testInterface;

	private TestBean father;

	public int getAnInt() {
		return anInt;
	}

	public void setAnInt(int anInt) {
		this.anInt = anInt;
	}

	public float getaFloat() {
		return aFloat;
	}

	public void setaFloat(float aFloat) {
		this.aFloat = aFloat;
	}

	public short getaShort() { // NOPMD by olivier on 10/01/12 01:14
		return aShort;
	}

	public void setaShort(short aShort) { // NOPMD by olivier on 10/01/12 01:14
		this.aShort = aShort;
	}

	public double getaDouble() {
		return aDouble;
	}

	public void setaDouble(double aDouble) {
		this.aDouble = aDouble;
	}

	public byte getaByte() {
		return aByte;
	}

	public void setaByte(byte aByte) {
		this.aByte = aByte;
	}

	public long getaLong() {
		return aLong;
	}

	public void setaLong(long aLong) {
		this.aLong = aLong;
	}

	public boolean isBool() {
		return bool;
	}

	public void setBool(boolean bool) {
		this.bool = bool;
	}

	public char getaChar() {
		return aChar;
	}

	public void setaChar(char aChar) {
		this.aChar = aChar;
	}

	public Integer getiInteger() {
		return iInteger;
	}

	public void setiInteger(Integer integer) {
		iInteger = integer;
	}

	public Float getfFloat() {
		return fFloat;
	}

	public void setfFloat(Float float1) {
		fFloat = float1;
	}

	public Short getsShort() {
		return sShort;
	}

	public void setsShort(Short short1) {
		sShort = short1;
	}

	public Double getdDouble() {
		return dDouble;
	}

	public void setdDouble(Double double1) {
		dDouble = double1;
	}

	public Byte getbByte() {
		return bByte;
	}

	public void setbByte(Byte byte1) {
		bByte = byte1;
	}

	public Long getlLong() {
		return lLong;
	}

	public void setlLong(Long long1) {
		lLong = long1;
	}

	public Boolean getbBoolean() {
		return bBoolean;
	}

	public void setbBoolean(Boolean boolean1) {
		bBoolean = boolean1;
	}

	public Character getcCharacter() {
		return cCharacter;
	}

	public void setcCharacter(Character character) {
		cCharacter = character;
	}

	public String getsString() {
		return sString;
	}

	public void setsString(String string) {
		sString = string;
	}

	public TestEnum getType() {
		return type;
	}

	public void setType(TestEnum type) {
		this.type = type;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public Date getTimestamp() {
		return timestamp;
	}

	public void setTimestamp(Date timestamp) {
		this.timestamp = timestamp;
	}

	public Date getTime() {
		return time;
	}

	public void setTime(Date time) {
		this.time = time;
	}

	public TestInterface getTestInterface() {
		return testInterface;
	}

	public void setTestInterface(TestInterface testInterface) {
		this.testInterface = testInterface;
	}

	public TestBean getFather() {
		return father;
	}

	public void setFather(TestBean father) {
		this.father = father;
	}

}
